Bug 504544 - (perl-Linux-Inotify2) Review Request: perl-Linux-Inotify2 - Scalable directory/file change notification
Review Request: perl-Linux-Inotify2 - Scalable directory/file change notifica...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Linux-Ino...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-08 00:17 EDT by Chris Weyl
Modified: 2010-09-01 15:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-08 21:44:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-06-08 00:17:57 EDT
Spec URL: http://fedorapeople.org/~cweyl/review/perl-Linux-Inotify2.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-Linux-Inotify2-1.2-1.fc10.src.rpm

Description:
This module implements an interface to the Linux 2.6.13+
Inotify file/directory change notification sytem.  It has a
number of advantages over the Linux::Inotify module:
   - it is portable (Linux::Inotify only works on x86)
   - the equivalent of fullname works correctly
   - it is better documented
   - it has callback-style interface, which is better suited for
     integration.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1398272

Additional Comment:

This is a requirement of a new BR of the latest GA Catalyst::Devel.

*rt-0.10
Comment 1 Parag AN(पराग) 2009-06-08 00:36:52 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1398272
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
a4c62821471692abe60e8e91602b6b3bf140616c  Linux-Inotify2-1.2.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=2, Tests=6,  0 wallclock secs ( 0.02 usr  0.01 sys +  0.04 cusr  0.01 csys =  0.08 CPU)
+ Package perl-Linux-Inotify2-1.2-1.fc12.i586 =>
Provides: perl(Linux::Inotify2) = 1.2 perl(Linux::Inotify2::Event) perl(Linux::Inotify2::Watch)
Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.4) perl(base) perl(Carp) perl(Fcntl) perl(Scalar::Util) rpmlib(VersionedDependencies) <= 3.0.3-1 rtld(GNU_HASH)

+ Not a GUI application

Should:
1) Ask upstream to add perl license text in source files itself as we don't count license information based on COPYING file.

APPROVED.
Comment 2 Chris Weyl 2009-06-08 00:43:34 EDT
New Package CVS Request
=======================
Package Name: perl-Linux-Inotify2
Short Description: Scalable directory/file change notification
Owners: cweyl
Branches: F-9 F-10 F-11 devel
InitialCC: perl-sig
Comment 3 Jason Tibbitts 2009-06-08 12:28:39 EDT
CVS done.
Comment 4 Chris Weyl 2009-06-08 21:44:41 EDT
Thanks for the review! :-)
Comment 5 Iain Arnell 2010-08-31 11:06:11 EDT
Package Change Request
======================
Package Name: perl-Linux-Inotify2
New Branches: el6
Owners: iarnell tremble
InitialCC: perl-sig
Comment 6 Kevin Fenzi 2010-09-01 15:24:42 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.